public class LSP extends VirtualCircuit {
    private int index;
    private int instanceIndex;

    // Add many more items here as per the MPLS MIB tunnel table

	private static final String TYPE = "STANDARD MPLS";
	private static final String COMMA = ",";

	public LSP(){
	}

    public LSP(int initIndex, int initInstanceIndex,
    	String newOrigNode, String newTermNode){
            index = initIndex;
            instanceIndex = initInstanceIndex;

            super.setOrigNode(newOrigNode);
            super.setTermNode(newTermNode);
    }

	public int getIndexValue(){ return index; }
	public int getInstanceIndexValue(){ return instanceIndex; }
	public String getVirtualCircuitType(){ return TYPE; }

    public void setIndexValue(int newIndex){ index = newIndex; }
	public void setInstanceIndexValue(int newInstanceIndex){
			instanceIndex = newInstanceIndex; }

    public Object copy(){
        return new LSP(index, instanceIndex,
        super.getOrigNode(), super.getTermNode());
    }

	public String getLSPDetails(){
		return getIndexValue() + SPACE +
		getInstanceIndexValue() + SPACE +
		getVCEndpoints() + EOL_STRING +
		getVirtualCircuitType() + EOL_STRING;
	}
}